<?php 
/**
 * if ... elseif ... else ... 6 - if_else_6.php
 * 
 * @author    Bartolomé Sintes Marco <bartolome.sintes+mclibre@gmail.com>
 * @copyright 2011 Bartolomé Sintes Marco
 * @license   http://www.gnu.org/licenses/agpl.txt AGPL 3 or later
 * @version   2011-05-09
 * @link      http://www.mclibre.org
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, either version 3 of the License, or
 *  any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

print "<?xml version=\"1.0\" encoding=\"iso-8859-1\"?".">\n"; 
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
       "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <title>Convertidor de centímetros a kilómetros, metros y centímetros (Resultado)
  if ... elseif ... else ... Ejercicios. PHP. Bartolomé Sintes Marco</title>
  <link href="mclibre_php_soluciones.css" rel="stylesheet" type="text/css" 
  title="Color" />
</head>

<body>
<h1>Convertidor de centímetros a kilómetros, metros y centímetros (Resultado)</h1>
<?php
function recoge($var)
{ 
    $tmp = (isset($_REQUEST[$var])) ? strip_tags(trim(htmlspecialchars($_REQUEST[$var]))) : '';
    if (get_magic_quotes_gpc()) {
        $tmp = stripslashes($tmp);
    }
    return $tmp;
}

$distancia   = recoge('distancia');
$distanciaOk = FALSE;

if ($distancia=="") {
    print "<p style=\"color: red\">No ha escrito la distancia.</p>\n";
} elseif (!ctype_digit($distancia)) { 
    print "<p style=\"color: red\">No ha escrito la distancia como número "
        ."entero positivo (sin parte decimal).</p>\n";
} elseif ($distancia>=1000000000) {
    print "<p style=\"color: red\">La distancia no es inferior a 1.000.000.000.</p>\n";
} else {
    $distanciaOk = TRUE;
}
    
if ($distanciaOk) {
    $distanciaOriginal = $distancia;
    if ($distancia>=100000) {
        $km = floor($distancia/100000);
        $distancia = $distancia%100000;
    }
    if ($distancia>=100) {
        $m = floor($distancia/100);
        $distancia = $distancia%100;
    }
    
    print "<p>$distanciaOriginal cm son ";
    
    if ($distanciaOriginal==0) {
    	print "0 cm.";
    }
    if (isset($km)) {
        print "$km km";
        if (isset($m)) {
            if ($distancia!=0) {
                print ", ";
            } else {
                print " y ";
            }
        } else {
            if ($distancia!=0) {
                print " y ";
            }
        }
    }
    if (isset($m)) {
        print "$m m";
        if ($distancia!=0) {
            print " y ";
        }
    }
    if ($distancia!=0) {
        print "$distancia cm";
    }
    print ".<p>\n";
}

print "<p><a href=\"if_else_6.html\">Volver al formulario.</a></p>\n";
?>

<address>
  Esta página forma parte del curso "Páginas web con PHP" disponible en <a
  href="http://www.mclibre.org/">http://www.mclibre.org</a><br />
  Autor: Bartolomé Sintes Marco<br />
  Última modificación de esta página: 9 de mayo de 2011 
</address>
<p class="licencia">El programa PHP que genera esta página está bajo 
<a rel="license" href="http://www.gnu.org/licenses/agpl.txt">licencia AGPL 3 o
posterior</a>.</p>
</body>
</html>
